For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
      • GETList Form Submissions
      • GETGet Form Submission
      • GETList Form Submissions by Site
      • PATCHModify Form Submission
      • DELDelete Form Submission
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
FormsForm submissions

Modify Form Submission

PATCH
https://api.webflow.com/beta/form_submissions/:form_submission_id
PATCH
/beta/form_submissions/:form_submission_id
$curl -X PATCH https://api.webflow.com/beta/form_submissions/580e63e98c9a982ac9b8b741 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "6321ca84df3949bfc6752327",
3 "displayName": "Sample Form",
4 "siteId": "62749158efef318abc8d5a0f",
5 "workspaceId": "62749158efef318abc8d5a0f",
6 "dateSubmitted": "2022-09-14T12:35:16.117Z",
7 "formResponse": {
8 "First Name": "Arthur",
9 "Last Name": "Dent"
10 },
11 "localeId": "6a0cb90f3ecc9d3d47ca8b5b",
12 "formId": "6321ca84df3949bfc6752327"
13}

Update hidden fields on a form submission

Required scope | forms:write

Was this page helpful?
Previous

Delete Form Submission

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

form_submission_idstringRequiredformat: "objectid"
Unique identifier for a Form Submission

Request

This endpoint expects an object.
formSubmissionDataobjectOptional

An existing hidden field defined on the form schema, and the corresponding value to set

Response

Request was successful
idstringformat: "objectid"
The unique ID of the Form submission
displayNamestring
The Form name displayed on the site
siteIdstringformat: "objectid"
The unique ID of the Site the Form belongs to
workspaceIdstringformat: "objectid"
The unique ID of the Workspace the Site belongs to
dateSubmittedstringformat: "date-time"
Date that the Form was submitted on
formResponseobject
The data submitted in the Form
localeIdstring or nullformat: "objectid"

The ID of the locale the form was submitted from. null for primary-locale submissions or sites without localization.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error